// file: ngrm_debug_0.cc
//

// isip include files
//
#include "ngram.h"
#include "ngram_constants.h"

// method: debug_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//  char_1* message: (input) a message to be displayed
//
// return: a logical_1 flag indicating success
//
logical_1 Ngram::debug_cc(FILE *fp_a, char_1* message_a) {
  
  // dump the contents of the class to the file
  //
  fprintf(fp_a, "%s::%s lmscale_d = %f\n", NGRAM_CLASS_NAME, message_a,
	  lmscale_d);
  fprintf(fp_a, "%s::%s wdpenalty_d = %f\n", NGRAM_CLASS_NAME, message_a,
	  wdpenalty_d);
  fprintf(fp_a, "%s::%s ngram_order_d = %ld\n", NGRAM_CLASS_NAME, message_a,
	  ngram_order_d);
  fprintf(fp_a, "%s::%s ngram_lists_d = %p\n", NGRAM_CLASS_NAME, message_a,
	  ngram_lists_d);
  if (ngram_lists_d != (Ngram_list**)NULL) {
    for (int_4 i = 0; i < ngram_order_d; i++) {
      ngram_lists_d[i]->debug_cc(fp_a, message_a);
    }
  }
  
  // exit gracefully
  //
  return ISIP_TRUE;
}
